Subject: buildlink3 change broke 2006Q1 (was: Re: CVS commit: wip/libassa)
To: Jeremy C. Reed <reed@NetBSD.org>
From: Roland Illig <rillig@NetBSD.org>
List: tech-pkg
Date: 05/24/2006 11:49:12
[from pkgsrc-wip-discuss]

Bartosz Ku┼║ma wrote:
> Roland Illig wrote:
> 
>>>Log Message:
>>>BUILDLINK_API_DEPENDS replaced with BUILDLINK_DEPENDS.
>>
>>
>>Why did you do that? To my knowledge BUILDLINK_DEPENDS has been
>>deprecated in late March of this year, and has been replaced with
>>BUILDLINK_API_DEPENDS.
>>
> 
> 
> I was confused about building process wip/granule under pkgsrc-2006Q1
> when BUILDLINK_API_DEPENDS is set instead of BUILDLINK_DEPENDS (I mean
> that under pkgsrc-2006Q1 it no build at all). After I'd received your
> email I found CVS commit message with changes BUILDLINK_DEPENDS ->
> BUILDLINK_API_DEPENDS, and I noticed that this changes has made after
> pkgsrc-2006Q1 has been branched. It seems that I should replace it again.

This looks like a change that did not consider backwards compatibility. 
I think we should always ensure that wip is usable with the latest 
stable branch, not only with pkgsrc-current.

Roland